summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reconfigure7
-rwxr-xr-xbin/trace2
2 files changed, 9 insertions, 0 deletions
diff --git a/bin/reconfigure b/bin/reconfigure
index b82f734..857efe9 100755
--- a/bin/reconfigure
+++ b/bin/reconfigure
@@ -120,4 +120,11 @@ echo
echo " Running trace script:"
bin/trace src/H5*.c || exit 1
+# Run make_error
+# make_error automatically generates the H5E headers that create error message
+# types for HDF5.
+echo
+echo " Running error generation script:"
+bin/make_err src/H5err.txt || exit 1
+
exit 0
diff --git a/bin/trace b/bin/trace
index eb9d95d..73810bf 100755
--- a/bin/trace
+++ b/bin/trace
@@ -51,6 +51,7 @@ $Source = "";
"H5G_obj_t" => "Go",
"H5G_stat_t*" => "Gs",
"H5L_link_t" => "Ll",
+ "unsigned long" => "Lu",
"hsize_t" => "h",
"hssize_t" => "Hs",
"hid_t" => "i",
@@ -87,6 +88,7 @@ $Source = "";
"H5E_auto_t" => "x",
"H5E_walk_t" => "x",
"H5G_iterate_t" => "x",
+ "H5L_link_class_t" => "x",
"H5MM_allocate_t" => "x",
"H5MM_free_t" => "x",
"H5P_cls_create_func_t" => "x",